Hi Pierre,

> Chris Marusich <cmmarus...@gmail.com> writes:
>
>> Can you share the package definition?
>
> Let's start from the most straight-forward:
>
> (define-public emacs-dev
>   (package
>    (inherit emacs)
>    (name "emacs-dev")
>    (version "26.0.91")
>    (source
>      (local-file "/home/ambrevar/projects/emacs-build" #:recursive? #t))))

Here’s mine:

--8<---------------cut here---------------start------------->8---
(define-public my/emacs
  (package (inherit emacs)
    (name "my-emacs")
    (version "26.0.91")
    (source (origin
              (method url-fetch)
              (uri (string-append "http://alpha.gnu.org/gnu/emacs/";
                                  "pretest/emacs-" version ".tar.xz"))
              (sha256
               (base32
                "1841hcqvwnh812gircpv2g9fqarlirh7ixv007hkglqk7qsvpxii"))))
    (arguments
     (substitute-keyword-arguments
         ;; NOTE: I don’t know if the tests pass in this version; this
         ;; is for a much older version.
         (append '(#:tests? #f ; tests fail in this development version
                   #:configure-flags '("--with-xwidgets=yes"))
                 (package-arguments emacs))))
    (inputs
     `(("libxcomposite" ,libxcomposite)
       ("webkitgtk+" ,webkitgtk)
       ;; These two are needed to get HTTPS support in Webkit.
       ("glib-networking" ,glib-networking)
       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
       ,@(package-inputs emacs)))
    ;; This is only needed when building from a git checkout.
    (native-inputs
     `(("autoconf" ,autoconf)
       ("automake" ,automake)
       ,@(package-native-inputs emacs)))))
--8<---------------cut here---------------end--------------->8---

Since I don’t know what the source code looks like, I can only guess
that maybe you need to bootstrap the build system first.

--
Ricardo



Reply via email to